name: linuxserver-librespeed
services:
  app:
    image: linuxserver/librespeed:5.5.1
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      PASSWORD: ''
      CUSTOM_RESULTS: ''
      DB_TYPE: ''
      DB_NAME: ''
      DB_HOSTNAME: ''
      DB_USERNAME: ''
      DB_PASSWORD: ''
      DB_PORT: ''
      IPINFO_APIKEY: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: PASSWORD
          description:
            en_us: Set the password for the results database.
        - container: CUSTOM_RESULTS
          description:
            en_us: (optional) set to true to enable custom results page in /config/www/results/index.php. [OPTIONAL]
        - container: DB_TYPE
          description:
            en_us: Defaults to sqlite, can also be set to mysql or postgresql. [OPTIONAL]
        - container: DB_NAME
          description:
            en_us: Database name. Required for mysql and pgsql. [OPTIONAL]
        - container: DB_HOSTNAME
          description:
            en_us: Database address. Required for mysql and pgsql. [OPTIONAL]
        - container: DB_USERNAME
          description:
            en_us: Database username. Required for mysql and pgsql. [OPTIONAL]
        - container: DB_PASSWORD
          description:
            en_us: Database password. Required for mysql and pgsql. [OPTIONAL]
        - container: DB_PORT
          description:
            en_us: Database port. Required for mysql. [OPTIONAL]
        - container: IPINFO_APIKEY
          description:
            en_us: Access token from ipinfo.io. Required for detailed IP information. [OPTIONAL]
    ports:
      - target: 80
        published: 80
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/librespeed/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Librespeed is a very lightweight Speedtest implemented in Javascript, using XMLHttpRequest and Web Workers. No Flash, No Java, No Websocket, No Bullshit.
  tagline:
    en_us: A very lightweight Speedtest implemented in Javascript, using XMLHttpRequest and Web Workers. No Flash, No Java, No Websocket, No Bullshit.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/librespeed/speedtest/master/.logo/logo3.png
  thumbnail: https://raw.githubusercontent.com/librespeed/speedtest/master/.logo/logo3.png
  title:
    en_us: Librespeed
  category: LinuxServer.io
  port_map: '80'
